Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Interface TreeExpansionListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BasicTreeUI.TreeExpansionHandler, JTree.AccessibleJTree

    public interface TreeExpansionListener

extends EventListener

The listener that's notified when a tree expands or collapses a node. For further documentation and examples see How to Write a Tree Expansion Listener, a section in The Java Tutorial.

Method Summary
`void` | `treeCollapsed(TreeExpansionEvent event)` Called whenever an item in the tree has been collapsed.
`void` | `treeExpanded(TreeExpansionEvent event)` Called whenever an item in the tree has been expanded.

Method Detail

### treeExpanded

    void treeExpanded(TreeExpansionEvent event)

  Called whenever an item in the tree has been expanded.

### treeCollapsed

    void treeCollapsed(TreeExpansionEvent event)

  Called whenever an item in the tree has been collapsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.